<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="checkout" time="36.856" tests="2" failures="0" errors="0">
   <testsuite name="checkout" tests="2" failures="0" errors="0" time="36.856" skipped="0" timestamp="2023-06-27 17:34:04" hostname="Asus - Reza-Cogan" id="Test Suites/checkout">
      <properties>
         <property name="deviceName" value=""/>
         <property name="devicePlatform" value=""/>
         <property name="logFolder" value="C:\\Users\\Asus\\git\\katalondatadrivenboos1\\Reports\\20230627_173359\\checkout\\20230627_173359"/>
         <property name="logFiles" value="C:\\Users\\Asus\\git\\katalondatadrivenboos1\\Reports\\20230627_173359\\checkout\\20230627_173359\\execution0.log"/>
         <property name="attachments" value=""/>
         <property name="hostName" value="Asus - Reza-Cogan"/>
         <property name="os" value="Windows 10 64bit"/>
         <property name="katalonVersion" value="8.6.5.208"/>
         <property name="browser" value="Chrome 114.0.0.0"/>
         <property name="hostAddress" value="192.168.33.20"/>
         <property name="sessionId" value="a4e19a8a5d664c1d6204888141d1381b"/>
         <property name="seleniumVersion" value="3.141.59"/>
         <property name="proxyInformation" value="ProxyInformation { proxyOption=NO_PROXY, proxyServerType=HTTP, username=, password=********, proxyServerAddress=, proxyServerPort=0, executionList=&quot;&quot;, isApplyToDesiredCapabilities=true }"/>
         <property name="platform" value="Windows 10"/>
      </properties>
      <testcase name="Test Cases/CheckoutItemOnCartWithDataDriven" time="19.906" classname="Test Cases/CheckoutItemOnCartWithDataDriven" status="PASSED">
         <system-out><![CDATA[2023-06-27 17:34:05 - [TEST_CASE][PASSED] - Test Cases/CheckoutItemOnCartWithDataDriven: Test Cases/CheckoutItemOnCartWithDataDriven

2023-06-27 17:34:06 - [TEST_STEP][PASSED] - openBrowser(url): Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 17:34:07 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-06-27 17:34:07 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-06-27 17:34:12 - [MESSAGE][PASSED] - Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 17:34:12 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/username"), username): Text 'standard_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 17:34:13 - [MESSAGE][PASSED] - Text 'standard_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 17:34:13 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/password"), password): Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 17:34:14 - [MESSAGE][PASSED] - Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 17:34:14 - [TEST_STEP][PASSED] - click(findTestObject("loginPage/sauceLabs/loginButton")): Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 17:34:15 - [MESSAGE][PASSED] - Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 17:34:15 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("loginPage/sauceLabs/pageSwagLabs")): Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 17:34:16 - [MESSAGE][PASSED] - Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 17:34:16 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonAddToCart")): Object: 'Object Repository/checkoutPayment/buttonAddToCart' is clicked on

2023-06-27 17:34:16 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonAddToCart' is clicked on

2023-06-27 17:34:16 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/cartLogo")): Object: 'Object Repository/checkoutPayment/cartLogo' is clicked on

2023-06-27 17:34:17 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/cartLogo' is clicked on

2023-06-27 17:34:17 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonCheckout")): Object: 'Object Repository/checkoutPayment/buttonCheckout' is clicked on

2023-06-27 17:34:17 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonCheckout' is clicked on

2023-06-27 17:34:17 - [TEST_STEP][PASSED] - setText(findTestObject("checkoutPayment/inputFirstName"), firstname): Text 'customer' is set on object 'Object Repository/checkoutPayment/inputFirstName'

2023-06-27 17:34:18 - [MESSAGE][PASSED] - Text 'customer' is set on object 'Object Repository/checkoutPayment/inputFirstName'

2023-06-27 17:34:18 - [TEST_STEP][PASSED] - setText(findTestObject("checkoutPayment/inputLastName"), lastname): Text 'first' is set on object 'Object Repository/checkoutPayment/inputLastName'

2023-06-27 17:34:19 - [MESSAGE][PASSED] - Text 'first' is set on object 'Object Repository/checkoutPayment/inputLastName'

2023-06-27 17:34:19 - [TEST_STEP][PASSED] - setText(findTestObject("checkoutPayment/inputZip"), zip): Text '123' is set on object 'Object Repository/checkoutPayment/inputZip'

2023-06-27 17:34:20 - [MESSAGE][PASSED] - Text '123' is set on object 'Object Repository/checkoutPayment/inputZip'

2023-06-27 17:34:20 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/continueButton")): Object: 'Object Repository/checkoutPayment/continueButton' is clicked on

2023-06-27 17:34:21 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/continueButton' is clicked on

2023-06-27 17:34:21 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/paymentInformation")): Object 'Object Repository/checkoutPayment/paymentInformation' is visible

2023-06-27 17:34:21 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/paymentInformation' is visible

2023-06-27 17:34:21 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/shippingInformation")): Object 'Object Repository/checkoutPayment/shippingInformation' is visible

2023-06-27 17:34:22 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/shippingInformation' is visible

2023-06-27 17:34:22 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/itemTotal")): Object 'Object Repository/checkoutPayment/itemTotal' is visible

2023-06-27 17:34:22 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/itemTotal' is visible

2023-06-27 17:34:22 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/tax")): Object 'Object Repository/checkoutPayment/tax' is visible

2023-06-27 17:34:23 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/tax' is visible

2023-06-27 17:34:23 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/total")): Object 'Object Repository/checkoutPayment/total' is visible

2023-06-27 17:34:23 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/total' is visible

2023-06-27 17:34:23 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonFinish")): Object: 'Object Repository/checkoutPayment/buttonFinish' is clicked on

2023-06-27 17:34:23 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonFinish' is clicked on

2023-06-27 17:34:23 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/checkoutComplete")): Object 'Object Repository/checkoutPayment/checkoutComplete' is visible

2023-06-27 17:34:24 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/checkoutComplete' is visible

2023-06-27 17:34:24 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonBackHome")): Object: 'Object Repository/checkoutPayment/buttonBackHome' is clicked on

2023-06-27 17:34:25 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonBackHome' is clicked on

2023-06-27 17:34:25 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("loginPage/sauceLabs/pageSwagLabs")): Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 17:34:25 - [MESSAGE][PASSED] - Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/CheckoutItemOnCartWithDataDriven" time="15.855" classname="Test Cases/CheckoutItemOnCartWithDataDriven" status="PASSED">
         <system-out><![CDATA[2023-06-27 17:34:25 - [TEST_CASE][PASSED] - Test Cases/CheckoutItemOnCartWithDataDriven: Test Cases/CheckoutItemOnCartWithDataDriven

2023-06-27 17:34:25 - [TEST_STEP][PASSED] - openBrowser(url): Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 17:34:25 - [MESSAGE][WARNING] - A browser is already opened. Closing browser and opening a new one

2023-06-27 17:34:26 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-06-27 17:34:26 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-06-27 17:34:28 - [MESSAGE][PASSED] - Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 17:34:28 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/username"), username): Text 'standard_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 17:34:29 - [MESSAGE][PASSED] - Text 'standard_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 17:34:29 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/password"), password): Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 17:34:30 - [MESSAGE][PASSED] - Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 17:34:30 - [TEST_STEP][PASSED] - click(findTestObject("loginPage/sauceLabs/loginButton")): Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 17:34:31 - [MESSAGE][PASSED] - Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 17:34:31 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("loginPage/sauceLabs/pageSwagLabs")): Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 17:34:31 - [MESSAGE][PASSED] - Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 17:34:31 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonAddToCart")): Object: 'Object Repository/checkoutPayment/buttonAddToCart' is clicked on

2023-06-27 17:34:32 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonAddToCart' is clicked on

2023-06-27 17:34:32 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/cartLogo")): Object: 'Object Repository/checkoutPayment/cartLogo' is clicked on

2023-06-27 17:34:33 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/cartLogo' is clicked on

2023-06-27 17:34:33 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonCheckout")): Object: 'Object Repository/checkoutPayment/buttonCheckout' is clicked on

2023-06-27 17:34:33 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonCheckout' is clicked on

2023-06-27 17:34:33 - [TEST_STEP][PASSED] - setText(findTestObject("checkoutPayment/inputFirstName"), firstname): Text 'customer' is set on object 'Object Repository/checkoutPayment/inputFirstName'

2023-06-27 17:34:34 - [MESSAGE][PASSED] - Text 'customer' is set on object 'Object Repository/checkoutPayment/inputFirstName'

2023-06-27 17:34:34 - [TEST_STEP][PASSED] - setText(findTestObject("checkoutPayment/inputLastName"), lastname): Text 'second' is set on object 'Object Repository/checkoutPayment/inputLastName'

2023-06-27 17:34:35 - [MESSAGE][PASSED] - Text 'second' is set on object 'Object Repository/checkoutPayment/inputLastName'

2023-06-27 17:34:35 - [TEST_STEP][PASSED] - setText(findTestObject("checkoutPayment/inputZip"), zip): Text '132' is set on object 'Object Repository/checkoutPayment/inputZip'

2023-06-27 17:34:36 - [MESSAGE][PASSED] - Text '132' is set on object 'Object Repository/checkoutPayment/inputZip'

2023-06-27 17:34:36 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/continueButton")): Object: 'Object Repository/checkoutPayment/continueButton' is clicked on

2023-06-27 17:34:37 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/continueButton' is clicked on

2023-06-27 17:34:37 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/paymentInformation")): Object 'Object Repository/checkoutPayment/paymentInformation' is visible

2023-06-27 17:34:37 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/paymentInformation' is visible

2023-06-27 17:34:37 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/shippingInformation")): Object 'Object Repository/checkoutPayment/shippingInformation' is visible

2023-06-27 17:34:38 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/shippingInformation' is visible

2023-06-27 17:34:38 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/itemTotal")): Object 'Object Repository/checkoutPayment/itemTotal' is visible

2023-06-27 17:34:38 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/itemTotal' is visible

2023-06-27 17:34:38 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/tax")): Object 'Object Repository/checkoutPayment/tax' is visible

2023-06-27 17:34:39 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/tax' is visible

2023-06-27 17:34:39 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/total")): Object 'Object Repository/checkoutPayment/total' is visible

2023-06-27 17:34:39 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/total' is visible

2023-06-27 17:34:39 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonFinish")): Object: 'Object Repository/checkoutPayment/buttonFinish' is clicked on

2023-06-27 17:34:40 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonFinish' is clicked on

2023-06-27 17:34:40 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("checkoutPayment/checkoutComplete")): Object 'Object Repository/checkoutPayment/checkoutComplete' is visible

2023-06-27 17:34:40 - [MESSAGE][PASSED] - Object 'Object Repository/checkoutPayment/checkoutComplete' is visible

2023-06-27 17:34:40 - [TEST_STEP][PASSED] - click(findTestObject("checkoutPayment/buttonBackHome")): Object: 'Object Repository/checkoutPayment/buttonBackHome' is clicked on

2023-06-27 17:34:41 - [MESSAGE][PASSED] - Object: 'Object Repository/checkoutPayment/buttonBackHome' is clicked on

2023-06-27 17:34:41 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("loginPage/sauceLabs/pageSwagLabs")): Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 17:34:41 - [MESSAGE][PASSED] - Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <system-out><![CDATA[2023-06-27 17:34:04 - [TEST_SUITE][PASSED] - checkout: Test Cases/CheckoutItemOnCartWithDataDriven]]></system-out>
      <system-err><![CDATA[]]></system-err>
   </testsuite>
</testsuites>
